php-hamcrest_2.0.0-0ubuntu1_all.deb


Advertisement

Description

php-hamcrest - This is the PHP port of Hamcrest Matchers

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-hamcrest_2.0.0-0ubuntu1_all.deb
Package name php-hamcrest
Package version 2.0.0
Package release 0ubuntu1
Package architecture all
Package type deb
Category universe/php
Homepage http://hamcrest.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 22.60 KB
Installed size 191.00 KB
Hamcrest is a matching library originally written for Java, but subsequently
ported to many other languages. hamcrest-php is the official PHP port of
Hamcrest and essentially follows a literal translation of the original Java
API for Hamcrest, with a few Exceptions, mostly down to PHP language barriers.

Alternatives

Package Version Architecture Repository
php-hamcrest_2.0.0-0ubuntu1_all.deb 2.0.0 all Ubuntu Universe
php-hamcrest - - -

Requires

Name Value
php-common -

Replaces

Name Value
php-cordoval-hamcrest-php -
php-davedevelopment-hamcrest-php -
php-kodova-hamcrest-php -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-hamcrest_2.0.0-0ubuntu1_all.deb
Source Package php-hamcrest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-hamcrest deb package:
    # sudo apt-get install php-hamcrest

Files

Path
/usr/share/doc/php-hamcrest/README.md
/usr/share/doc/php-hamcrest/changelog.Debian.gz
/usr/share/doc/php-hamcrest/copyright
/usr/share/php/Hamcrest.php
/usr/share/php/Hamcrest/AssertionError.php
/usr/share/php/Hamcrest/BaseDescription.php
/usr/share/php/Hamcrest/BaseMatcher.php
/usr/share/php/Hamcrest/Description.php
/usr/share/php/Hamcrest/DiagnosingMatcher.php
/usr/share/php/Hamcrest/FeatureMatcher.php
/usr/share/php/Hamcrest/Matcher.php
/usr/share/php/Hamcrest/MatcherAssert.php
/usr/share/php/Hamcrest/Matchers.php
/usr/share/php/Hamcrest/NullDescription.php
/usr/share/php/Hamcrest/SelfDescribing.php
/usr/share/php/Hamcrest/StringDescription.php
/usr/share/php/Hamcrest/TypeSafeDiagnosingMatcher.php
/usr/share/php/Hamcrest/TypeSafeMatcher.php
/usr/share/php/Hamcrest/Util.php
/usr/share/php/Hamcrest/autoload.php
/usr/share/php/Hamcrest/Arrays/IsArray.php
/usr/share/php/Hamcrest/Arrays/IsArrayContaining.php
/usr/share/php/Hamcrest/Arrays/IsArrayContainingInAnyOrder.php
/usr/share/php/Hamcrest/Arrays/IsArrayContainingInOrder.php
/usr/share/php/Hamcrest/Arrays/IsArrayContainingKey.php
/usr/share/php/Hamcrest/Arrays/IsArrayContainingKeyValuePair.php
/usr/share/php/Hamcrest/Arrays/IsArrayWithSize.php
/usr/share/php/Hamcrest/Arrays/MatchingOnce.php
/usr/share/php/Hamcrest/Arrays/SeriesMatchingOnce.php
/usr/share/php/Hamcrest/Collection/IsEmptyTraversable.php
/usr/share/php/Hamcrest/Collection/IsTraversableWithSize.php
/usr/share/php/Hamcrest/Core/AllOf.php
/usr/share/php/Hamcrest/Core/AnyOf.php
/usr/share/php/Hamcrest/Core/CombinableMatcher.php
/usr/share/php/Hamcrest/Core/DescribedAs.php
/usr/share/php/Hamcrest/Core/Every.php
/usr/share/php/Hamcrest/Core/HasToString.php
/usr/share/php/Hamcrest/Core/Is.php
/usr/share/php/Hamcrest/Core/IsAnything.php
/usr/share/php/Hamcrest/Core/IsCollectionContaining.php
/usr/share/php/Hamcrest/Core/IsEqual.php
/usr/share/php/Hamcrest/Core/IsIdentical.php
/usr/share/php/Hamcrest/Core/IsInstanceOf.php
/usr/share/php/Hamcrest/Core/IsNot.php
/usr/share/php/Hamcrest/Core/IsNull.php
/usr/share/php/Hamcrest/Core/IsSame.php
/usr/share/php/Hamcrest/Core/IsTypeOf.php
/usr/share/php/Hamcrest/Core/Set.php
/usr/share/php/Hamcrest/Core/ShortcutCombination.php
/usr/share/php/Hamcrest/Internal/SelfDescribingValue.php
/usr/share/php/Hamcrest/Number/IsCloseTo.php
/usr/share/php/Hamcrest/Number/OrderingComparison.php
/usr/share/php/Hamcrest/Text/IsEmptyString.php
/usr/share/php/Hamcrest/Text/IsEqualIgnoringCase.php
/usr/share/php/Hamcrest/Text/IsEqualIgnoringWhiteSpace.php
/usr/share/php/Hamcrest/Text/MatchesPattern.php
/usr/share/php/Hamcrest/Text/StringContains.php
/usr/share/php/Hamcrest/Text/StringContainsIgnoringCase.php
/usr/share/php/Hamcrest/Text/StringContainsInOrder.php
/usr/share/php/Hamcrest/Text/StringEndsWith.php
/usr/share/php/Hamcrest/Text/StringStartsWith.php
/usr/share/php/Hamcrest/Text/SubstringMatcher.php
/usr/share/php/Hamcrest/Type/IsArray.php
/usr/share/php/Hamcrest/Type/IsBoolean.php
/usr/share/php/Hamcrest/Type/IsCallable.php
/usr/share/php/Hamcrest/Type/IsDouble.php
/usr/share/php/Hamcrest/Type/IsInteger.php
/usr/share/php/Hamcrest/Type/IsNumeric.php
/usr/share/php/Hamcrest/Type/IsObject.php
/usr/share/php/Hamcrest/Type/IsResource.php
/usr/share/php/Hamcrest/Type/IsScalar.php
/usr/share/php/Hamcrest/Type/IsString.php
/usr/share/php/Hamcrest/Xml/HasXPath.php

Changelog

2018-02-15 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-hamcrest (2.0.0-0ubuntu1) bionic; urgency=medium
* New upstream release (2.0.0)
- d/watch: allow for versions beyond 1 for newer php-mockery.
- d/patches: remove now unnecessary patches.
- d/t/phpunit: drop now unnecessary patching.
+ Also drop now unused d/p/DEP-8.
* debian/patches/phpunit6_compatibility.patch: PHPUnit 6 has moved to
namespaced classes.
2018-02-15 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-hamcrest (1.2.2-2ubuntu1) bionic; urgency=medium
2016-03-12 - David Prévot <taffit@debian.org>
php-hamcrest (1.2.2-2) unstable; urgency=medium
* Track version 1 currently used by php-mockery
* PHP 7.0 transition:
- Fix backward incompatible change of PHP 7
- Rebuild with recent pkg-php-tools
* Update Standards-Version to 3.9.7
2016-02-01 - David Prévot <taffit@debian.org>
php-hamcrest (1.2.2-1) unstable; urgency=low
* Initial release (php-mockery dependency)

See Also

Package Description
php-horde-activesync_2.39.0-1ubuntu1_all.deb ActiveSync server library
php-horde-alarm_2.2.10-1ubuntu1_all.deb Horde Alarm Libraries
php-horde-ansel_3.0.8+debian0-1ubuntu1_all.deb Photo management application
php-horde-argv_2.1.0-1ubuntu1_all.deb Horde command-line argument parsing package
php-horde-auth_2.2.2-1ubuntu1_all.deb Horde Authentication API
php-horde-autoloader_2.1.2-3ubuntu1_all.deb Horde Autoloader
php-horde-browser_2.0.15-1_all.deb Horde Browser API
php-horde-cache_2.5.5-1_all.deb Horde Caching API
php-horde-cli_2.2.4-1_all.deb Horde Command Line Interface API
php-horde-compress-fast_1.1.1-3_all.deb Fast Compression Library
php-horde-compress_2.2.1-1ubuntu1_all.deb Horde Compression API
php-horde-constraint_2.0.3-3_all.deb Horde Constraint library
php-horde-content_2.0.6-1_all.deb Tagging application
php-horde-controller_2.0.4-3ubuntu1_all.deb Horde Controller libraries
php-horde-core_2.31.1+debian0-1ubuntu1_all.deb Core Horde Framework library
Advertisement
Advertisement